<?
################################################################################
#    TGIOTT - The Guestbook Is On The Table - A simple configurable guestbook
#    Copyright (C) 2001 Rafael Ferreira Silva - rfsbsb@bol.com.br
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    See docs/license.txt to read the GPL licence
#
#################################################################################

ob_start();

/*
   Checking if the book is alredy installed

   Checando se o livro j est instalado
*/
if (!file_exists("config.php") || filesize("config.php") == 0)
   header("Location: install.php");



/*
   Including the necessary files
   
   Incluindo os arquivos necessrios
*/
include("./config.php");
include("./lib/fasttemplate.php");
require("./lib/paging_class.php");
include("./lang/".$cfg["language"].".lang.php");
include("./common.inc.php");

/*
   Starting the template
   
   Iniciando o template
*/
$tpl = new FastTemplate('./template/'.$cfg["tpl_dir"]);
$tpl->define(array('index'=>'index.htm')); 

/*
   Starting the navigation bar

   Iniciando a barra de navegao
*/
$paging = new paging($cfg["max_post_per_page"],$cfg["lists_in_navigation"],$lang['navigation_back'],$lang['navigation_foward']);

/*
   Starting the guestbook object

   Iniciando o objeto guestbook
*/
$gb = new guestbook;
$gb_data = $gb->get_all_data();
count($gb_data) ? "" : $tpl->no_strict();

/*
   Parsing the data to the guestbook

   Substituindo o contedo no livro
*/
$tpl->define_dynamic("list","index");
for ($i=0;$i<count($gb_data);$i++) {
   $tpl->assign(
      array("{INDEX_NAME}"     => $gb_data[$i]["name"],
	        "{INDEX_SITE}"     => $gb_data[$i]["site"],
			"{INDEX_EMAIL}"    => $gb_data[$i]["email"],
			"{INDEX_LOCATION}" => $gb_data[$i]["location"],
			"{INDEX_DATE}"     => $gb_data[$i]["date"],
			"{INDEX_COMMENT}"  => $gb_data[$i]["comment"])
			); 
   $tpl->parse('LIST','.list');
}

/*
   General language parsing
   
   Substituio geral de idioma
*/
$tpl->assign('{TEMPLATE_DIR}',$cfg["tpl_dir"]);
$tpl->assign('{BOOK_TITLE}',$lang['book_title']);
$tpl->assign('{ADD_LINK}',$lang['add_link']);

if ($i){
   $tpl->assign('{NAME_LABEL}',$lang['name_label']);
   $tpl->assign('{LOCATION_LABEL}',$lang['location_label']);
   $tpl->assign('{DATE_LABEL}',$lang['date_label']);
   $tpl->assign('{COMMENT_LABEL}',$lang['comment_label']);
   $tpl->assign('{NAVIGATION}',$paging->print_link());
   $tpl->assign('{BOOK_PAGE_TITLE}',$lang['book_page_title']);
   $tpl->assign('{NO_DATA}',"");
}
else {
   $tpl->assign('{NO_DATA}',$lang['no_data']);
}

/*
   FastTemplate class content parsing

   Substituio do contedo atravs da classe FastTemplate
*/
$tpl->parse('OUTPUT','index');
$tpl->FastPrint('OUTPUT');

ob_end_flush();
?>